clear
%%
%High-endogeneity simulations
%load Het_IV_GMM_SY_distortion_spec_5_instruments
%load Het_IV_GMM_SY_distortion_spec_10_instruments
load Het_IV_GMM_SY_distortion_spec_20_instruments
instruments=length(mu_base);
heterosked=0;
corr_obs=10^6;
options=optimset('MaxFunEvals',10^4,'MaxIter',10^4);
var_scaling=10^-7;
corr_scaling=1;
repcount=10000;
obs=10000;
pi_grid_init=[0:5:500 510:10:1100 1150:50:2000];
pi_grid_rough=[0:50:1500 1500:500:10000];
pigrid_window=20;
pigrid_window_step=2;

Finite_sample_size_sims_subfile
save SY_sim_homosked_20IV


clear
%load Het_IV_GMM_SY_distortion_spec_5_instruments
%load Het_IV_GMM_SY_distortion_spec_10_instruments
load Het_IV_GMM_SY_distortion_spec_20_instruments
instruments=length(mu_base);
heterosked=1;
corr_obs=10^6;
options=optimset('MaxFunEvals',10^4,'MaxIter',10^4);
var_scaling=10^-7;
corr_scaling=1;
repcount=10000;
obs=10000;
pi_grid_init=[0:5:500 510:10:1100 1150:50:2000];
pi_grid_rough=[0:50:1500 1500:500:10000];
pigrid_window=20;
pigrid_window_step=2;

Finite_sample_size_sims_subfile
save SY_sim_heterosked_20IV

%%
%Moderate-endogeneity simulations

clear
%load Small_Het_IV_GMM_SY_distortion_spec_5_instruments
%load Het_IV_GMM_SY_distortion_spec_10_instruments
load Het_IV_GMM_SY_distortion_spec_20_instruments
instruments=length(mu_base);
heterosked=1;
corr_obs=10^6;
options=optimset('MaxFunEvals',10^4,'MaxIter',10^4);
var_scaling=1;
corr_scaling=1;
repcount=10000;
obs=10000;
pi_grid_init=[0:5:500 510:10:1100 1150:50:2000];
pi_grid_rough=[0:50:1500 1500:500:10000];
pigrid_window=20;
pigrid_window_step=2;

Finite_sample_size_sims_subfile
save SY_sim_heterosked_20IV_Small_Het

clear
%load Small_Het_IV_GMM_SY_distortion_spec_5_instruments
%load Het_IV_GMM_SY_distortion_spec_10_instruments
load Het_IV_GMM_SY_distortion_spec_20_instruments
instruments=length(mu_base);
heterosked=0;
corr_obs=10^6;
options=optimset('MaxFunEvals',10^4,'MaxIter',10^4);
var_scaling=1;
corr_scaling=1;
repcount=10000;
obs=10000;
pi_grid_init=[0:5:500 510:10:1100 1150:50:2000];
pi_grid_rough=[0:50:1500 1500:500:10000];
pigrid_window=20;
pigrid_window_step=2;

Finite_sample_size_sims_subfile
save SY_sim_homosked_20IV_Small_Het