clear

%%
%High-endogeneity simulations
%load Het_IV_GMM_SY_distortion_spec_5_instruments
load Het_IV_GMM_SY_distortion_spec_10_instruments
%load Het_IV_GMM_SY_distortion_spec_20_instruments
instruments=length(mu_base);
two_step_coverage=0.85;
heterosked=1;
 corr_obs=10^6;
 size_sims=10^6;
options=optimset('MaxFunEvals',10^4,'MaxIter',10^4);
var_scaling=10^-5;
corr_scaling=1;
repcount=2500;
obs=10000;
beta_grid=[0 exp([-10:0.5:0 0.1:0.25:15])];
beta_grid=sort(unique([beta_grid -beta_grid]));
pi_grid_init=[0:5:500 510:10:1100 1150:50:2000];
pi_grid_rough=[0:50:1500 1500:500:10000 12500:2500:50000];
pigrid_window=20;
pigrid_window_step=2;
Two_step_test_sim_subfile
save Two_step_sim_heterosked_10IV

clear
%load Het_IV_GMM_SY_distortion_spec_5_instruments
load Het_IV_GMM_SY_distortion_spec_10_instruments
%load Het_IV_GMM_SY_distortion_spec_20_instruments
instruments=length(mu_base);
two_step_coverage=0.85;
heterosked=0;
 corr_obs=10^6;
 size_sims=10^6;
options=optimset('MaxFunEvals',10^4,'MaxIter',10^4);
var_scaling=10^-5;
corr_scaling=1;
repcount=2500;
obs=10000;
beta_grid=[0 exp([-10:0.5:0 0.1:0.25:15])];
beta_grid=sort(unique([beta_grid -beta_grid]));
pi_grid_init=[0:5:500 510:10:1100 1150:50:2000];
pi_grid_rough=[0:50:1500 1500:500:10000 12500:2500:50000];
pigrid_window=20;
pigrid_window_step=2;
Two_step_test_sim_subfile
save Two_step_sim_homosked_10IV

%%
%Moderate-endogeneity simulations
%load Small_Het_IV_GMM_SY_distortion_spec_5_instruments
load Small_Het_IV_GMM_SY_distortion_spec_10_instruments
%load Small_Het_IV_GMM_SY_distortion_spec_20_instruments
instruments=length(mu_base);
two_step_coverage=0.85;
heterosked=1;
 corr_obs=10^6;
 size_sims=10^6;
options=optimset('MaxFunEvals',10^4,'MaxIter',10^4);
var_scaling=1;
corr_scaling=1;
repcount=2500;
obs=10000;
beta_grid=[0 exp([-10:0.5:0 0.1:0.25:15])];
beta_grid=sort(unique([beta_grid -beta_grid]));
pi_grid_init=[0:5:500 510:10:1100 1150:50:2000];
pi_grid_rough=[0:50:1500 1500:500:10000 12500:2500:50000];
pigrid_window=20;
pigrid_window_step=2;
Two_step_test_sim_subfile
save Two_step_sim_heterosked_10IV_Small_Het

clear
%load Small_Het_IV_GMM_SY_distortion_spec_5_instruments
load Small_Het_IV_GMM_SY_distortion_spec_10_instruments
%load Small_Het_IV_GMM_SY_distortion_spec_20_instruments
instruments=length(mu_base);
two_step_coverage=0.85;
heterosked=0;
 corr_obs=10^6;
 size_sims=10^6;
options=optimset('MaxFunEvals',10^4,'MaxIter',10^4);
var_scaling=1;
corr_scaling=1;
repcount=2500;
obs=10000;
beta_grid=[0 exp([-10:0.5:0 0.1:0.25:15])];
beta_grid=sort(unique([beta_grid -beta_grid]));
pi_grid_init=[0:5:500 510:10:1100 1150:50:2000];
pi_grid_rough=[0:50:1500 1500:500:10000 12500:2500:50000];
pigrid_window=20;
pigrid_window_step=2;
Two_step_test_sim_subfile
save Two_step_sim_homosked_10IV_Small_Het
