obs=10^6;
instruments=length(mu_base);
draws=unidrnd(instruments,obs,1);
Z=zeros(obs,instruments);
X=zeros(obs,1);
shocks=randn(obs,2);
Y=zeros(obs,1);
pi=zeros(instruments,1);
beta1=0;
for m=1:instruments
    var_temp=var_draw_store(:,:,m);
    %Reduce correlation of errors
            var_temp(1,1)=var_temp(1,1)*var_scaling;
            var_temp(1,2)=var_temp(1,2)*corr_scaling*var_scaling^.5;
            var_temp(2,1)=var_temp(2,1)*corr_scaling*var_scaling^.5;
    Z(draws==m,:)=repmat(Z_store(:,m)',sum(draws==m),1);
    shocks(draws==m,:)=shocks(draws==m,:)*var_temp^.5;
    X(draws==m,:)=Z(draws==m,:)*pi+shocks(draws==m,2);
    Y(draws==m,:)=Z(draws==m,:)*pi*beta1+shocks(draws==m,1);
end